<template>
  <div class="relative overflow-hidden duration-300 ease-in-out bg-white transtion-all hover:bg-primary rounded-xl group">
    <div
      class="relative w-full bg-muted min-h-80 aspect-w-1 aspect-h-1 group-hover:opacity-75 lg:h-80 lg:aspect-none"
    >
      <img
        :src="`/aprende/${item.image || 'noticia-1.webp'}`"
        alt=""
        class="object-cover object-center w-full h-full lg:w-full lg:h-full"
      />
    </div>

    <div class="flex items-center justify-between p-4 lg:px-8 bg-primary">
      <span class="text-base font-normal text-secondary">{{ item.date }}</span>
      <span class="px-3 py-1 uppercase bg-white text-secondary rounded-xl"
        >{{ item.category }}</span
      >
    </div>

    <div
      class="flex justify-between p-4 lg:px-8"
    >
      <div>
        <h3 class="mb-8 text-xl font-bold lg:text-2xl text-secondary bai">
          <a :href="item.link || '#'" target="_blank">
            <span aria-hidden="true" class="absolute inset-0"></span>
            {{ item.title }}
          </a>
        </h3>
        <p class="mt-1 text-sm leading-8 text-secondary line-clamp-3">
          {{ item.short }}
        </p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'AprendeCardComponent',

  props: {
    item: {
      type: Object,
      required: true
    }
  }
}
</script>

<style></style>
